/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

package android.os.statsd.threadnetwork;

import "frameworks/proto_logging/stats/atoms.proto";
import "frameworks/proto_logging/stats/atom_field_options.proto";
import "frameworks/proto_logging/stats/atoms/threadnetwork/threadnetwork_atoms.proto";

option java_package = "com.android.os.threadnetwork";
option java_multiple_files = true;

extend Atom {
    optional ThreadnetworkTelemetryDataReported threadnetwork_telemetry_data_reported = 738
    [(module) = "threadnetwork"];
    optional ThreadnetworkTopoEntryRepeated threadnetwork_topo_entry_repeated = 739
    [(module) = "threadnetwork"];
    optional ThreadnetworkDeviceInfoReported threadnetwork_device_info_reported = 740
    [(module) = "threadnetwork"];
}
